org.cpsolver.studentsct.heuristics.studentord

## Class StudentRandomRealFirstOrder

- java.lang.Object
- - org.cpsolver.studentsct.heuristics.studentord.StudentRandomRealFirstOrder

- All Implemented Interfaces:
    StudentOrder

      public class StudentRandomRealFirstOrder
      extends Object
      implements StudentOrder

  Return the given set of students in a random order, however, all real students before last-like students.
  Version:
    StudentSct 1.3 (Student Sectioning)
    Copyright (C) 2007 - 2014 Tomáš Müller
    muller@unitime.org
    http://muller.unitime.org
    This library is free software; you can redistribute it and/or modify it under the terms of the GNU Lesser General Public License as published by the Free Software Foundation; either version 3 of the License, or (at your option) any later version.
    This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more details.
    You should have received a copy of the GNU Lesser General Public License along with this library; if not see http://www.gnu.org/licenses/.
  Author:
    Tomáš Müller

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `StudentRandomRealFirstOrder()`
    `StudentRandomRealFirstOrder(DataProperties config)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<Student>` | `order(List<Student> students)` Return the given set of students in a random order, however, all real students before last-like (`Student.isDummy()` is true) students.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### StudentRandomRealFirstOrder

          public StudentRandomRealFirstOrder(DataProperties config)

    - #### StudentRandomRealFirstOrder

          public StudentRandomRealFirstOrder()

  - ### Method Detail

    - #### order

          public List<Student> order(List<Student> students)

      Return the given set of students in a random order, however, all real students before last-like (`Student.isDummy()` is true) students.
      Specified by:
        `order` in interface `StudentOrder`
      Parameters:
        `students` - input list of students
      Returns:
        new list of students, ordered by this criterion